Bug 250275 - (CVE-2007-3798) CVE-2007-3798 tcpdump BGP integer overflow
CVE-2007-3798 tcpdump BGP integer overflow
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
source=gentoo,reported=20070710,publi...
: Security
Depends On: 250289 250290 250291 250293 250294
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-31 12:00 EDT by Josh Bressers
Modified: 2016-03-04 05:46 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-15 09:53:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2007-07-31 12:00:18 EDT
An integer overflow flaw was found in tcpdump's BGP protocol dissector.  This
could potentially allow an attacker to execute arbitrary code as the user
running tcpdump.


The upstream patch is here:
http://cvs.tcpdump.org/cgi-bin/cvsweb/tcpdump/print-bgp.c?r1=1.91.2.11&r2=1.91.2.12

The Gentoo bug has more information
http://bugs.gentoo.org/show_bug.cgi?id=184815
Comment 2 Josh Bressers 2007-07-31 13:03:20 EDT
This flaw does not affect the version of tcpdump shipped in Red Hat Enterprise
Linux 2.1 or 3.
Comment 5 Red Hat Product Security 2008-01-15 09:53:53 EST
This issue was addressed in:

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2007-0368.html
  http://rhn.redhat.com/errata/RHSA-2007-0387.html

Fedora:
  https://admin.fedoraproject.org/updates/F7/FEDORA-2007-1361


Note You need to log in before you can comment on or make changes to this bug.